View Issue Details

IDProjectCategoryView StatusLast Update
0000692SymmetricDSBugpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0.6 
Target Version3.0.7Fixed in Version3.0.7 
Summary0000692: Escaped varchar data can get corrupted
Descriptionhttps://sourceforge.net/projects/symmetricds/forums/forum/739235/topic/5401712/index/page/1
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 28f36457

2012-07-04 10:32:07

chenson

Details Diff
0000692: Escaped varchar data can get corrupted.

Also updated some csv logging.

0000692
mod - symmetric/symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File
mod - symmetric/symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric/symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric/symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/CsvUtils.java Diff File
mod - symmetric/symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ProtocolDataReader.java Diff File
mod - symmetric/symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractProtocolDataWriter.java Diff File
mod - symmetric/symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/ProtocolDataWriter.java Diff File
mod - symmetric/symmetric-io/src/test/resources/org/jumpmind/symmetric/io/data/writer/FileCsvDataWriterTest.1.csv Diff File
mod - symmetric/symmetric-server/src/test/java/org/jumpmind/symmetric/test/SimpleIntegrationTest.java Diff File
mod - symmetric/symmetric-util/src/main/java/org/jumpmind/util/FormatUtils.java Diff File

Issue History

Date Modified Username Field Change
2012-07-03 16:03 chenson New Issue
2012-07-03 16:03 chenson Status new => assigned
2012-07-03 16:03 chenson Assigned To => chenson
2012-07-04 16:22 chenson Status assigned => closed
2012-07-04 16:22 chenson Resolution open => fixed
2012-07-04 16:22 chenson Fixed in Version => 3.0.7
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r5964
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 28f36457